package com.qmth.themis.business.service;

import java.util.List;
import java.util.Map;

import com.qmth.themis.business.base.BasePage;
import com.qmth.themis.business.bean.backend.ExamBreachDetailListBean;
import com.qmth.themis.business.bean.backend.ExamExceptionDetailListBean;
import com.qmth.themis.business.bean.backend.ExamStudentLogDetailListBean;

public interface TIeReportService {
	public Map<String, Object> examView(Long examId, Long examActivityId, String roomCode, String courseCode,
			String name, String identity);

	public BasePage examViewCount(Long examId, Long examActivityId, String roomCode, String courseCode, String name,
			String identity, int pageNumber, int pageSize);

	public BasePage examDeficiencyList(Long examId, Long examActivityId, String roomCode, String courseCode, String name,
			String identity, int pageNumber, int pageSize);

	public BasePage examExceptionList(Long examId, Long examActivityId, String roomCode, String courseCode, String name,
			String identity, int pageNumber, int pageSize);

	public List<ExamExceptionDetailListBean> examExceptionDetailList(Long examStudentId);

	public BasePage examReexamList(Long examId, Long examActivityId, String roomCode, String courseCode, String name,
			String identity, int pageNumber, int pageSize);

	public BasePage examBreachList(Long examId, Long examActivityId, String roomCode, String courseCode, String name,
			String identity, int pageNumber, int pageSize);

	public List<ExamBreachDetailListBean> examBreachListDetail(Long examStudentId);

	public BasePage examRevokeBreachList(Long examId, Long examActivityId, String roomCode, String courseCode,
			String name, String identity, int pageNumber, int pageSize);

	public List<ExamBreachDetailListBean> examRevokeBreachListDetail(Long examStudentId);

	public BasePage examStudentLogList(Long examId, Long examActivityId, String roomCode, String courseCode, String name,
			String identity, int pageNumber, int pageSize);

	public List<ExamStudentLogDetailListBean> examStudentLogListDetail(Long examStudentId);
}
